# IAlgebraPoolPermissionedActions

Permissioned pool actions

Contains pool methods that may only be called by the factory owner or tokenomics

*Developer note: Credit to Uniswap Labs under GPL-2.0-or-later license: <https://github.com/Uniswap/v3-core/tree/main/contracts/interfaces>*

## Functions

### setCommunityFee

`function setCommunityFee(uint8 communityFee0, uint8 communityFee1) external` external

Set the community's % share of the fees. Cannot exceed 25% (250)

| Name          | Type  | Description                                                            |
| ------------- | ----- | ---------------------------------------------------------------------- |
| communityFee0 | uint8 | new community fee percent for token0 of the pool in thousandths (1e-3) |
| communityFee1 | uint8 | new community fee percent for token1 of the pool in thousandths (1e-3) |

### setTickSpacing

`function setTickSpacing(int24 newTickSpacing) external` external

Set the new tick spacing values. Only factory owner

| Name           | Type  | Description                |
| -------------- | ----- | -------------------------- |
| newTickSpacing | int24 | The new tick spacing value |

### setIncentive

`function setIncentive(address virtualPoolAddress) external` external

Sets an active incentive

| Name               | Type    | Description                                                 |
| ------------------ | ------- | ----------------------------------------------------------- |
| virtualPoolAddress | address | The address of a virtual pool associated with the incentive |

### setLiquidityCooldown

`function setLiquidityCooldown(uint32 newLiquidityCooldown) external` external

Sets new lock time for added liquidity

| Name                 | Type   | Description         |
| -------------------- | ------ | ------------------- |
| newLiquidityCooldown | uint32 | The time in seconds |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.9/v1.9-core/ialgebrapoolpermissionedactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
